import { OnInit } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
export declare class HybridAvatarComponent implements OnInit {
    private sanitizer;
    name: string;
    photo: any;
    size: string;
    color: string;
    textcolor: string;
    private defaultColors;
    private defaultAvatarImage;
    private defaultTextColor;
    private defaultSize;
    private fontSizeOffset;
    private sizeNum;
    private initials;
    showInitials: boolean;
    showDefaultAvatar: boolean;
    defaultAvatar: any;
    textFontSize: string;
    textLineHeight: string;
    textLetterSpacing: string;
    constructor(sanitizer: DomSanitizer);
    ngOnInit(): void;
    ngOnChanges(): void;
    init(): void;
    private initAll;
    private getInitials;
    getColor(): string;
    private sizeToNum;
}
